mdiodump(1)

NAME
mdiodump - Qualcomm Atheros MDIO Custom Module Analyser

SYNOPSIS
mdiodump [options] file [file] [...]

DESCRIPTION
Read one or more binary MDIO program files and output MDIO instructions on stdout. These instructions are suitable as input to program mdioblock which outputs MDIO programs. See the mdioblock manpage for more information.

This program is part of the Qualcomm Atheros Powerline Toolkit. See the PLC man page for an overview and installation instructions.

OPTIONS

-s  Print summary information on stdout instead of MDIO instructions.

-t phy_type
    Specify the PHY chipset that this MDIO module will be used with. The only supported option arguments are "ar8236" and "generic". Argument "ar8236" indicates that the MDIO register instructions are Atheros AR8236 specific. The AR8236 supports special MDIO registers and instructions in addition to generic MDIO registers and instructions. The default is "generic" which displays instructions as standard MDIO instructions. This option and option -b are mutually exclusive.

-v  Prints additional information on stdout. In particular, this option causes mdiodump to display every MDIO command present instead of just the simulation summary.

-?,--help
    Displays program help information on stderr. This option takes precedence over all other options on the command line except version information.

-!,--version
    Displays program version information on stderr. This option takes precedence over all other options on the command line except help information. Use this option when sending screen dumps to Atheros technical staff.

ARGUMENTS

file
    The MDIO custom module file to operate on.

REFERENCES
See the Qualcomm Atheros HomePlug AV Firmware Technical Reference Manual for information about generic MDIO register instruction. See the Qualcomm Atheros AR8236 Six-Port Fast Ethernet Switch Data Sheet for detailed information about AR8236 specific MDIO registers and instructions.

DISCLAIMER
Atheros HomePlug AV Vendor Specific Management Message structure and content is proprietary to Qualcomm Atheros, Ocala FL USA. Consequently, public information may not be available. Qualcomm Atheros reserves the right to modify message structure and content in future firmware releases without any obligation to notify or compensate users of this program.

EXAMPLES
None.

SEE ALSO
amp(1), int6kmod(1), int6kmdio(1), int6kmdio2(1), mdioblock(1), mdioblock2(1), mdiogen(1), plcmdio16(1), plcmdio32(1)

CREDITS
 Nathaniel Houghton
 Charles Maier
 Marc Bertola